<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoEmployeeAttendancesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_employee_attendances
         */
        Schema::create('bixo_employee_attendances', function ($table) {
            $table->increments('id');
            $table->integer('related_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->integer('request_id')->nullable();
            $table->integer('handover_id')->nullable();
            $table->date('date')->nullable();
            $table->dateTime('date_start')->nullable();
            $table->dateTime('date_end')->nullable();
            $table->tinyInteger('half_day')->nullable();
            $table->string('type', 30)->nullable();
            $table->string('type_old', 30)->nullable();
            $table->string('period', 30)->nullable();
            $table->decimal('paid', 5,2)->nullable();
            $table->decimal('unpaid', 5,2)->nullable();
            $table->time('time_in')->nullable();
            $table->time('time_out')->nullable();
            $table->text('description')->nullable();
            $table->tinyInteger('import')->nullable();
            $table->dateTime('return_to')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_employee_attendances');
    }
}
