<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoEmployeeEmployeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_employee_employees
         */
        Schema::create('bixo_employee_employees', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('referred_by', 50)->nullable();
            $table->integer('company_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('division_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('name', 150)->nullable();
            $table->enum('martial_status', ['Yes', 'No'])->nullable();
            $table->string('religion', 50)->nullable();
            $table->text('process_step')->nullable();
            $table->text('employment_history')->nullable();
            $table->text('contact_home')->nullable();
            $table->text('contact_work')->nullable();
            $table->text('contact_emergency')->nullable();
            $table->text('bank_account')->nullable();
            $table->text('contract')->nullable();
            $table->string('current_salary', 50)->nullable();
            $table->dateTime('current_salary_date')->nullable();
            $table->string('prev_salary', 50)->nullable();
            $table->tinyInteger('probation_period')->nullable();
            $table->decimal('commission_per', 12,2)->nullable();
            $table->tinyInteger('flexible_com')->nullable();
            $table->text('notes')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->text('employee_updates')->nullable();
            $table->text('week_off')->nullable();
            $table->string('employee_code', 60)->nullable();
            $table->text('terminate_reason')->nullable();
            $table->date('terminate_date')->nullable();
            $table->tinyInteger('has_attendance')->nullable();
            $table->string('other_type', 30)->nullable();
            $table->string('sponsor', 50)->nullable();
            $table->string('terminated_type', 50)->nullable();
            $table->date('transfer_date')->nullable();
            $table->text('position_history')->nullable();
            $table->string('upload_folder', 50)->nullable();
            $table->string('user_type', 30)->nullable();
            $table->integer('created_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_employee_employees');
    }
}
