<?php

namespace Bixo\Employee\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class AttendanceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_employee_attendances')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.employee.attendance.view',
                'name'      => 'View Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.create',
                'name'      => 'Create Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.edit',
                'name'      => 'Update Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.delete',
                'name'      => 'Delete Attendance',
            ],
            
                        [
                'slug'      => 'bixo.employee.attendance.verify',
                'name'      => 'Verify Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.approve',
                'name'      => 'Approve Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.publish',
                'name'      => 'Publish Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.unpublish',
                'name'      => 'Unpublish Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.cancel',
                'name'      => 'Cancel Attendance',
            ],
            [
                'slug'      => 'bixo.employee.attendance.archive',
                'name'      => 'Archive Attendance',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/employee/attendance',
                'name'        => 'Attendance',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/employee/attendance',
                'name'        => 'Attendance',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'attendance',
                'name'        => 'Attendance',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Employee',
                'module'    => 'Attendance',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.employee.attendance.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
