<?php

namespace Bixo\Employee\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class EmployeeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_employee_employees')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.employee.employee.view',
                'name'      => 'View Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.create',
                'name'      => 'Create Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.edit',
                'name'      => 'Update Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.delete',
                'name'      => 'Delete Employee',
            ],
            
                        [
                'slug'      => 'bixo.employee.employee.verify',
                'name'      => 'Verify Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.approve',
                'name'      => 'Approve Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.publish',
                'name'      => 'Publish Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.unpublish',
                'name'      => 'Unpublish Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.cancel',
                'name'      => 'Cancel Employee',
            ],
            [
                'slug'      => 'bixo.employee.employee.archive',
                'name'      => 'Archive Employee',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/employee/employee',
                'name'        => 'Employee',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/employee/employee',
                'name'        => 'Employee',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'employee',
                'name'        => 'Employee',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Employee',
                'module'    => 'Employee',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.employee.employee.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
