<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for document in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  document module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Document',
    'names' => 'Documents',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Documents',
        'sub' => 'Documents'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'employee_id'                => 'Please enter employee id',
        'type'                       => 'Please enter type',
        'name'                       => 'Please enter name',
        'number'                     => 'Please enter number',
        'description'                => 'Please enter description',
        'expiry_date'                => 'Please select expiry date',
        'issue_date'                 => 'Please select issue date',
        'details'                    => 'Please enter details',
        'files'                      => 'Please enter files',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'employee_id'                => 'Employee id',
        'type'                       => 'Type',
        'name'                       => 'Name',
        'number'                     => 'Number',
        'description'                => 'Description',
        'expiry_date'                => 'Expiry date',
        'issue_date'                 => 'Issue date',
        'details'                    => 'Details',
        'files'                      => 'Files',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
