<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for employee in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  employee module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Employee',
    'names' => 'Employees',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Employees',
        'sub' => 'Employees'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'martial_status' => 
            [
                                
                [
                    'key'    => 'Single',
                    'value'  => 'Single',
                    'text'   => 'Single',
                ],
                                
                [
                    'key'    => 'Married',
                    'value'  => 'Married',
                    'text'   => 'Married',
                ],
                                
                [
                    'key'    => 'Divorced',
                    'value'  => 'Divorced',
                    'text'   => 'Divorced',
                ],
                                
                [
                    'key'    => 'Widowed',
                    'value'  => 'Widowed',
                    'text'   => 'Widowed',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Active',
                    'value'  => 'Active',
                    'text'   => 'Active',
                ],
                                
                [
                    'key'    => 'Inactive',
                    'value'  => 'Inactive',
                    'text'   => 'Inactive',
                ],
                                
                [
                    'key'    => 'Suspended',
                    'value'  => 'Suspended',
                    'text'   => 'Suspended',
                ],
                                
                [
                    'key'    => 'Terminated',
                    'value'  => 'Terminated',
                    'text'   => 'Terminated',
                ],
                                
                [
                    'key'    => 'Directory',
                    'value'  => 'Directory',
                    'text'   => 'Directory',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'user_id'                    => 'Please enter user id',
        'referred_by'                => 'Please enter referred by',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'division_id'                => 'Please enter division id',
        'manager_id'                 => 'Please enter manager id',
        'name'                       => 'Please enter name',
        'martial_status'             => 'Please select martial status',
        'religion'                   => 'Please enter religion',
        'process_step'               => 'Please enter process step',
        'employment_history'         => 'Please enter employment history',
        'contact_home'               => 'Please enter contact home',
        'contact_work'               => 'Please enter contact work',
        'contact_emergency'          => 'Please enter contact emergency',
        'bank_account'               => 'Please enter bank account',
        'contract'                   => 'Please enter contract',
        'current_salary'             => 'Please enter current salary',
        'current_salary_date'        => 'Please select current salary date',
        'prev_salary'                => 'Please enter prev salary',
        'probation_period'           => 'Please enter probation period',
        'commission_per'             => 'Please enter commission per',
        'flexible_com'               => 'Please enter flexible com',
        'notes'                      => 'Please enter notes',
        'status'                     => 'Please select status',
        'employee_updates'           => 'Please enter employee updates',
        'week_off'                   => 'Please enter week off',
        'employee_code'              => 'Please enter employee code',
        'terminate_reason'           => 'Please enter terminate reason',
        'terminate_date'             => 'Please select terminate date',
        'has_attendance'             => 'Please enter has attendance',
        'other_type'                 => 'Please enter other type',
        'sponsor'                    => 'Please enter sponsor',
        'terminated_type'            => 'Please enter terminated type',
        'transfer_date'              => 'Please select transfer date',
        'position_history'           => 'Please enter position history',
        'upload_folder'              => 'Please enter upload folder',
        'user_type'                  => 'Please enter user type',
        'created_id'                 => 'Please enter created id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'user_id'                    => 'User id',
        'referred_by'                => 'Referred by',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'division_id'                => 'Division id',
        'manager_id'                 => 'Manager id',
        'name'                       => 'Name',
        'martial_status'             => 'Martial status',
        'religion'                   => 'Religion',
        'process_step'               => 'Process step',
        'employment_history'         => 'Employment history',
        'contact_home'               => 'Contact home',
        'contact_work'               => 'Contact work',
        'contact_emergency'          => 'Contact emergency',
        'bank_account'               => 'Bank account',
        'contract'                   => 'Contract',
        'current_salary'             => 'Current salary',
        'current_salary_date'        => 'Current salary date',
        'prev_salary'                => 'Prev salary',
        'probation_period'           => 'Probation period',
        'commission_per'             => 'Commission per',
        'flexible_com'               => 'Flexible com',
        'notes'                      => 'Notes',
        'status'                     => 'Status',
        'employee_updates'           => 'Employee updates',
        'week_off'                   => 'Week off',
        'employee_code'              => 'Employee code',
        'terminate_reason'           => 'Terminate reason',
        'terminate_date'             => 'Terminate date',
        'has_attendance'             => 'Has attendance',
        'other_type'                 => 'Other type',
        'sponsor'                    => 'Sponsor',
        'terminated_type'            => 'Terminated type',
        'transfer_date'              => 'Transfer date',
        'position_history'           => 'Position history',
        'upload_folder'              => 'Upload folder',
        'user_type'                  => 'User type',
        'created_id'                 => 'Created id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
