<?php

namespace Bixo\Employee\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Employee\Actions\AttendanceReport;
use Bixo\Employee\Http\Requests\AttendanceReportRequest;

/**
 * Admin web controller class.
 */
class AttendanceReportController extends BaseController
{
    /**
     * Action controller function for attendance.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(AttendanceReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Attendance::class);
            $data = AttendanceReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('employee::attendance.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('employee/attendance/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('employee/attendance/' . $report))
                ->redirect();
        }
    }
}
