<?php

namespace Bixo\Employee\Policies;

use Bixo\Employee\Models\Attendance;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait AttendanceAction
{

    /**
     * Determine if the given user can copy the given attendance.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Attendance $attendance)
    {

        if ($authUser->canDo('employee.attendance.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given attendance.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Attendance $attendance) {

        if ($authUser->canDo('employee.attendance.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given attendance.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Attendance $attendance)
    {

        if ($authUser->canDo('employee.attendance.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
