<?php

namespace Bixo\Employee\Policies;

use Bixo\Employee\Models\Leave;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LeaveAction
{

    /**
     * Determine if the given user can copy the given leave.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Leave $leave)
    {

        if ($authUser->canDo('employee.leave.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given leave.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Leave $leave) {

        if ($authUser->canDo('employee.leave.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given leave.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Leave $leave)
    {

        if ($authUser->canDo('employee.leave.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
