<?php


namespace Bixo\Employee\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait LeaveReport
{

    /**
     * Determine if the given user can approve the given leave.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('employee.leave.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given leave.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('employee.leave.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given leave.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('employee.leave.report.download')) {
            return true;
        }

        return false;
    }
}
